=== debian/changelog ===
copyq (3.11.0-1) unstable; urgency=medium

  * New upstream release 3.11.0.
  * debian/control:
    + Bump debhelper compat to v13.

 -- Boyuan Yang <byang@debian.org>  Thu, 07 May 2020 15:43:38 -0400
