## copyq 3.11.1

=== debian/changelog ===
copyq (3.11.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Drop debhelper compat to 10 to ease backporting.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 25 May 2020 13:46:39 -0700

copyq (3.11.1-1) unstable; urgency=medium

  * New upstream release 3.11.1.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 May 2020 22:57:34 +0800
