## copyq 3.12.0

=== debian/changelog ===
copyq (3.12.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Jul 2020 00:02:35 -0400

copyq (3.12.0-1) unstable; urgency=medium

  * New upstream release 3.12.0.

 -- Boyuan Yang <byang@debian.org>  Thu, 16 Jul 2020 10:23:53 -0400
