## copyq 3.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -50,9 +50,7 @@
 set(copyq_APP_ID      com.github.hluk.copyq)
 set(copyq_ICON_PREFIX src/images/icon)
 set(copyq_ICON_NORMAL src/images/icon.svg)
-set(copyq_ICON_BUSY   src/images/icon-busy.svg)
 set(copyq_ICON_MASK   src/images/icon_mask.svg)
-set(copyq_ICON_BUSY_MASK src/images/icon_mask-busy.svg)
 set(copyq_DESKTOP     shared/${copyq_APP_ID}.desktop)
 set(copyq_APPDATA     shared/${copyq_APP_ID}.appdata.xml)
 set(copyq_MANPAGE     debian/copyq.1)
@@ -154,9 +152,7 @@
 
 if (UNIX AND NOT APPLE)
     install(FILES ${copyq_ICON_NORMAL} DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}.svg)
-    install(FILES ${copyq_ICON_BUSY}   DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}-busy.svg)
     install(FILES ${copyq_ICON_MASK}   DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}_mask.svg)
-    install(FILES ${copyq_ICON_BUSY_MASK} DESTINATION ${ICON_INSTALL_PREFIX} RENAME ${ICON_NAME}_mask-busy.svg)
     install(FILES ${copyq_APPDATA}     DESTINATION ${APPDATA_INSTALL_PREFIX})
     install(FILES ${copyq_MANPAGE}     DESTINATION ${MANPAGE_INSTALL_PREFIX})
 
@@ -166,7 +162,7 @@
     foreach (copyq_ICON_EXTENT 16 22 24 32 48 64 128)
         set(copyq_ICON_SIZE "${copyq_ICON_EXTENT}x${copyq_ICON_EXTENT}")
         string(REPLACE "%SIZE%" "${copyq_ICON_SIZE}" copyq_ICON_TARGET_PREFIX "${ICON_INSTALL_PREFIX_TEMPLATE}")
-        foreach (copyq_ICON_TYPE "" "-busy")
+        foreach (copyq_ICON_TYPE "")
             install(FILES "${copyq_ICON_PREFIX}${copyq_ICON_TYPE}_${copyq_ICON_SIZE}.png" DESTINATION "${copyq_ICON_TARGET_PREFIX}" RENAME "${ICON_NAME}${copyq_ICON_TYPE}.png")
         endforeach()
     endforeach()
@@ -180,7 +176,6 @@
     add_definitions( -DCOPYQ_PLUGIN_PREFIX="${PLUGIN_INSTALL_PREFIX}" )
     add_definitions( -DCOPYQ_DESKTOP_FILE="${DESKTOP_INSTALL_PREFIX}/${copyq_APP_ID}.desktop" )
     add_definitions( -DCOPYQ_TRANSLATION_PREFIX="${TRANSLATION_INSTALL_PREFIX}" )
-    add_definitions( -DCOPYQ_ICON_NAME="${ICON_NAME}" )
     add_definitions( -DCOPYQ_ICON_NAME="${ICON_NAME}" )
 
     if (COPYQ_AUTOSTART_COMMAND)
