=== debian/changelog ===
copyq (3.13.0-1) unstable; urgency=medium

  * New upstream release 3.13.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 28 Oct 2020 22:28:34 -0400
