## copyq 4.0.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,6 @@
     item/*.cpp
     scriptable/*.cpp
     scriptable/scriptableproxy.h
-    ../qt/*.cpp
     )
 
 file(GLOB copyq_FORMS
@@ -21,7 +20,17 @@
 include_directories(${Qt5Widgets_INCLUDES})
 add_definitions(${Qt5Widgets_DEFINITIONS})
 
+include(notifications.cmake)
 include(platform/platform.cmake)
+
+# Compile with tests?
+if (WITH_TESTS)
+    file(GLOB copyq_SOURCES ${copyq_SOURCES} tests/*.cpp)
+endif()
+
+set_source_files_properties(
+    ${copyq_SOURCES} PROPERTIES
+    COMPILE_OPTIONS "${copyq_pedantic_flags}")
 
 # Qxt - global shortcuts
 if (USE_QXT)
@@ -29,11 +38,6 @@
         ../qxt/qxtglobalshortcut.cpp
         )
     add_definitions( -DQXT_STATIC )
-endif()
-
-# Compile with tests?
-if (WITH_TESTS)
-    file(GLOB copyq_SOURCES ${copyq_SOURCES} tests/*.cpp)
 endif()
 
 # translations
@@ -56,6 +60,10 @@
     ${copyq_RESOURCES_RCC}
     ${copyq_QM}
     )
+
+if (NOT copyq_version)
+    message(FATAL_ERROR "Application version is unset")
+endif()
 
 if (NOT APPLE)
     add_executable(${COPYQ_EXECUTABLE_NAME} ${copyq_COMPILE})
@@ -98,7 +106,7 @@
 add_dependencies(${COPYQ_EXECUTABLE_NAME} generate_version_header)
 
 # Qt modules
-list(APPEND copyq_qt_modules Network Svg Xml Script)
+list(APPEND copyq_qt_modules Network Svg Xml Qml)
 foreach (copyq_qt_module ${copyq_qt_modules})
     find_package(Qt5${copyq_qt_module} REQUIRED)
     list(APPEND copyq_LIBRARIES Qt5::${copyq_qt_module})
@@ -112,10 +120,17 @@
 target_link_libraries(${COPYQ_EXECUTABLE_NAME} ${copyq_LIBRARIES})
 
 # install
-install(TARGETS ${COPYQ_EXECUTABLE_NAME}
-    BUNDLE DESTINATION . COMPONENT Runtime
-    RUNTIME DESTINATION bin COMPONENT Runtime
-    )
+if (MSVC)
+    install(TARGETS ${COPYQ_EXECUTABLE_NAME}
+        RUNTIME DESTINATION . COMPONENT Runtime
+        LIBRARY DESTINATION . COMPONENT Runtime
+        )
+else()
+    install(TARGETS ${COPYQ_EXECUTABLE_NAME}
+        BUNDLE DESTINATION . COMPONENT Runtime
+        RUNTIME DESTINATION bin COMPONENT Runtime
+        )
+endif()
 
 if (NOT APPLE)
     if (TRANSLATION_INSTALL_PREFIX)
@@ -165,8 +180,12 @@
     get_property(_copyq_installed_plugins GLOBAL PROPERTY COPYQ_INSTALLED_PLUGINS)
 
     # Directories to look for dependencies
-    set(FIXUP_BUNDLE_DEP_DIRS "${CMAKE_BINARY_DIR};${QT_LIBRARY_DIRS}")
-
+    set(FIXUP_BUNDLE_DEP_DIRS "${CMAKE_BINARY_DIR};${QT_LIBRARY_DIRS};${Qt5Widgets_DIR}/../..")
+
+    message(STATUS "Fixup app: ${FIXUP_BUNDLE_APPS}")
+    message(STATUS "Fixup app plugins: ${_copyq_installed_plugins}")
+    message(STATUS "Fixup qt plugins: ${FIXUP_BUNDLE_QT_PLUGINS}")
+    message(STATUS "Fixup dirs: ${FIXUP_BUNDLE_DEP_DIRS}")
     install(CODE "
         include(BundleUtilities)
         set(BU_CHMOD_BUNDLE_ITEMS ON)
