=== debian/changelog ===
copyq (4.0.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release.
  * debian/control: new BDs: libwayland-dev, extra-cmake-modules (>= 5.18),
    libkf5notifications-dev, libqt5waylandclient5-dev, qtwayland5,
    qtwayland5-dev-tools,  qtdeclarative5-dev. Drop qtscript5-dev.
  * Install CHANGES.md with docs.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 12 Apr 2021 15:10:25 -0700

copyq (3.13.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release 3.13.0 :
    - Now, if a global shortcut is triggered when the main window is active, the
      command will be executed with item selection and item data available
      (#1435).
    - New `focusPrevious()` script function to activate window that was focused
      before the main window.
    - Export now write data to a temporary file before saving.
    - Display commands are now also applied on item preview (e.g. to enable
      syntax  highlighting in the preview).
    - New command line option "tray_menu_open_on_left_click" to check default
      mouse button behavior for tray icon (`copyq tray_menu_open_on_left_click
      true`).
    - New command line option "activate_item_with_single_click" to activate
      items with single click (`copyq activate_item_with_single_click true`).
    - New command line options "filter_regular_expression" and
      "filter_case_insensitive" to change the item search behavior.
    - New command line option "native_menu_bar" to disable native/global menu
      bar (`copyq native_menu_bar false`).
    - Updated icons (Font Awesome 5.15.1)
    - Improved performance of loading the icon font.
    - Fix crash when exporting large amount of data (#1462).
    - Fix entering vi search mode (#1458).
    - Fix size of scrollable text area in item preview (#1472).

  * Update relevant years in debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 17 Oct 2020 12:40:09 -0700

copyq (3.12.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release 3.12.0:
    - Unsaved data are now saved whenever application is unfocused
    - Filter field in commands can now modify menu items.
    - Application icon will no longer automatically change when there is an
      ongoing operation.
    - New preview() script function shows/hides item preview.
    - Use brighter bar for pinned items with a dark theme
    - Improved notification text line wrapping
    - Improved layout when showing many shortcut buttons

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 15 Jul 2020 20:17:20 -0700
