=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: copyq
 Section: utils
 Priority: optional
-Maintainer: Yangfl <mmyangfl@gmail.com>
-Uploaders:
- Boyuan Yang <byang@debian.org>,
-Build-Depends:
- cmake,
- debhelper-compat (= 13),
-Build-Depends-Arch:
- libqt5svg5-dev,
- libqt5x11extras5-dev,
- libxfixes-dev,
- libxtst-dev,
- qtscript5-dev,
- qttools5-dev,
- qttools5-dev-tools,
-Build-Depends-Indep:
- python3:any,
- python3-sphinx,
- python3-sphinx-rtd-theme,
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
+Uploaders: Boyuan Yang <byang@debian.org>
+Build-Depends: cmake  (>= 2.8.12), debhelper (>= 10),
+               extra-cmake-modules (>= 5.18)
+Build-Depends-Arch: libkf5notifications-dev,
+                    libqt5waylandclient5-dev,
+                    libqt5svg5-dev,
+                    libqt5x11extras5-dev,
+                    libwayland-dev,
+                    libxfixes-dev,
+                    libxtst-dev,
+                    qtbase5-private-dev,
+                    qtdeclarative5-dev,
+                    qttools5-dev,
+                    qttools5-dev-tools,
+                    qtwayland5,
+                    qtwayland5-dev-tools,
+Build-Depends-Indep: python3-sphinx, python3-sphinx-rtd-theme, python3:any
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Homepage: https://hluk.github.io/CopyQ/
@@ -27,14 +28,11 @@
 
 Package: copyq
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Recommends:
- copyq-plugins (= ${binary:Version}),
- libqt5svg5,
-Suggests:
- copyq-doc,
+Depends: copyq-plugins (= ${binary:Version}),
+         libqt5svg5,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: copyq-doc
 Description: Advanced clipboard manager with editing and scripting features
  CopyQ monitors system clipboard and saves its content in customized tabs.
  Saved clipboard can be later copied and pasted directly into any application.
@@ -63,11 +61,8 @@
 
 Package: copyq-doc
 Architecture: all
-Depends:
- ${misc:Depends},
- ${sphinxdoc:Depends},
-Built-Using:
- ${sphinxdoc:Built-Using},
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Section: doc
 Multi-Arch: foreign
 Description: Documentation and examples for CopyQ - HTML format
@@ -78,10 +73,7 @@
 
 Package: copyq-plugins
 Architecture: any
-Depends:
- copyq (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
+Depends: copyq (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Plugins for CopyQ
  CopyQ monitors system clipboard and saves its content in customized tabs.
  Saved clipboard can be later copied and pasted directly into any application.
