=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
     app/*.cpp
     common/*.cpp
     gui/*.cpp
+    gui/notification.h
     item/*.cpp
     scriptable/*.cpp
     scriptable/scriptableproxy.h
@@ -120,7 +121,7 @@
 target_link_libraries(${COPYQ_EXECUTABLE_NAME} ${copyq_LIBRARIES})
 
 # install
-if (MSVC)
+if (WIN32)
     install(TARGETS ${COPYQ_EXECUTABLE_NAME}
         RUNTIME DESTINATION . COMPONENT Runtime
         LIBRARY DESTINATION . COMPONENT Runtime
