=== debian/changelog ===
copyq (4.1.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX 21.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 11 Sep 2021 16:20:04 -0700

copyq (4.1.0-0.1mx19+1) mx; urgency=medium

  * New upstream release

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 26 Apr 2021 18:24:23 -0700

copyq (4.0.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release.
  * debian/control: new BDs: libwayland-dev, extra-cmake-modules (>= 5.18),
    libkf5notifications-dev, libqt5waylandclient5-dev, qtwayland5,
    qtwayland5-dev-tools,  qtdeclarative5-dev. Drop qtscript5-dev.
  * Install CHANGES.md with docs.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 12 Apr 2021 15:10:25 -0700
