=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
 Uploaders: Boyuan Yang <byang@debian.org>
-Build-Depends: cmake  (>= 2.8.12), debhelper (>= 10),
+Build-Depends: cmake  (>= 2.8.12),
+               debhelper (>= 10),
                extra-cmake-modules (>= 5.18)
 Build-Depends-Arch: libkf5notifications-dev,
+                    libqt5svg5-dev,
                     libqt5waylandclient5-dev,
-                    libqt5svg5-dev,
                     libqt5x11extras5-dev,
                     libwayland-dev,
                     libxfixes-dev,
@@ -18,7 +19,7 @@
                     qttools5-dev,
                     qttools5-dev-tools,
                     qtwayland5,
-                    qtwayland5-dev-tools,
+                    qtwayland5-dev-tools
 Build-Depends-Indep: python3-sphinx, python3-sphinx-rtd-theme, python3:any
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
