=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,8 @@
 
 override_dh_auto_configure-arch:
 	dh_auto_configure -- \
-		-DWITH_WEBKIT=1
+            -DCMAKE_VERBOSE_MAKEFILE=ON \
+            -DCMAKE_BUILD_TYPE=Release
 
 override_dh_auto_configure-indep:
