=== debian/changelog ===
copyq (5.0.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux
  * Make the plugins and Qt SVG explicit dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 04 Nov 2021 13:52:45 -0700

copyq (5.0.0-1) unstable; urgency=medium

  * New upstream release 5.0.0. 

 -- Boyuan Yang <byang@debian.org>  Tue, 05 Oct 2021 11:40:47 -0400

copyq (4.1.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Aug 2021 23:15:35 -0400

copyq (4.1.0-1~exp1) experimental; urgency=medium

  * New upstream release 4.1.0. 

 -- Boyuan Yang <byang@debian.org>  Thu, 29 Apr 2021 19:35:30 -0400

copyq (4.0.0-1~exp1) experimental; urgency=medium

  * New upstream release 4.0.0.

 -- Boyuan Yang <byang@debian.org>  Thu, 15 Apr 2021 12:02:54 -0400
