=== debian/control ===
--- 
+++ 
@@ -4,9 +4,7 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
 Uploaders: Boyuan Yang <byang@debian.org>
-Build-Depends: cmake  (>= 2.8.12),
-               debhelper (>= 10),
-               extra-cmake-modules (>= 5.18)
+Build-Depends: cmake, debhelper-compat (= 12), extra-cmake-modules
 Build-Depends-Arch: libkf5notifications-dev,
                     libqt5svg5-dev,
                     libqt5waylandclient5-dev,
@@ -22,17 +20,15 @@
                     qtwayland5-dev-tools
 Build-Depends-Indep: python3-sphinx, python3-sphinx-rtd-theme, python3:any
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://hluk.github.io/CopyQ/
 Vcs-Browser: https://salsa.debian.org/debian/copyq
 Vcs-Git: https://salsa.debian.org/debian/copyq.git
 
 Package: copyq
 Architecture: any
-Depends: copyq-plugins (= ${binary:Version}),
-         libqt5svg5,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
+         copyq-plugins (= ${binary:Version}), libqt5svg5
 Suggests: copyq-doc
 Description: Advanced clipboard manager with editing and scripting features
  CopyQ monitors system clipboard and saves its content in customized tabs.
